Description

Hi,

| want to create a new source module to import raw data and dump it into an art file, compatible with LArSoft.
As a first approach, | copied an existing module that already does this, in order to adapt it to my data.

| copied the module dunetpc/dune/Protodune/dualphase/RawDecoding/PDDPRawInput_source.cc
into the new one: dunetpc/dune/Protodune/dualphase/RawDecoding/PDDPRawlnputPMT_source.cc

| also consequently modified all names and the CMakelList inside the file.
It compiles without any error, but when | try to run the new module | get the following:

$ lar -c pddp_pmtdag_converter.fcl /eos/experiment/neutplatform/protodune/rawdata/np02/rawdata/103
3/1033_10_a.cosmics

$MSG-s ArtException: RootOutput:outl@Construction 08-Nov-2019 12:06:16 CET ModuleConstruction
cet::exception caught in art
—-——— Configuration BEGIN
FailedInputSource Configuration of main input source has failed
—-——— Configuration BEGIN
Library specification "PDDPRawInputPMT": does not correspond to any library in CET_PLUGIN_PATH
of type "source"
—-——— Configuration END
—-——— Configuration END
SMSG
Art has completed and will exit with status 9.

It seems that it doesn't find the library, but it is specified in the _source.cc code:

#include "art/Framework/Core/InputSourceMacros.h"
#include "art/Framework/IO/Sources/Source.h"
#include "dune/Protodune/dualphase/RawDecoding/PDDPRawInputPMTDriver.h"
namespace lris
{
typedef art::Source<PDDPRawInputPMTIDriver> PDDPRawInputPMT;

DEFINE_ART_INPUT_SOURCE (lris: :PDDPRawInputPMT)
And also in the CMakeList:

simple_plugin (PDDPRawInputPMT "source"

PDDPRawInputPMTIDriver_service
lardataobj_RawData
lardata_Utilities
${ART_FRAMEWORK_CORE}

${ART_FRAMEWORK_TIO_SOURCES}
${ART_FRAMEWORK_PRINCIPAL}

${ART_FRAMEWORK_PERSISTENCY_COMMON }
art_Persistency_Common canvas
art_Persistency_Provenance canvas

art_Utilities canvas

S{FHICLCPP}
${MF_MESSAGELOGGER}
S{CETLIB}
${ROOT_BASIC_LIB_LIST}
BASENAME_ONLY

Any idea of why | get this error?

| have published the code in dunetpc in case you want to reproduce the error: feature/jsoto_ PDDP_PMTRawDatalmporter

Thank you in advance for your help,
José

History

#1 - 11/08/2019 08:53 AM - Kyle Knoepfel
- Status changed from New to Feedback

- Description updated

Hi José,

| started from a clean build area, compiled the code, and ran the job without an input file (on purpose):
lar —-c pddp_pmtdag_converter.fcl

$MSG—-1i MF_INIT_OK: Early 08-Nov-2019 08:48:16 CST JobSetup
Messagelogger initialization complete.

SMSG

%$MSG-1i FastCloning: RootOutput:outl@Construction 08-Nov-2019 08:48:17 CST ModuleConstruction
Initial fast cloning configuration (from default): true

SMSG

PDDPRawInputPMIDriver::ctor: Configuration 3
PDDPRawInputPMIDriver::ctor: LogLevel g 1
PDDPRawInputPMIDriver::ctor: OutputLabelRawDigits : dag
PDDPRawInputPMIDriver::ctor: OutputLabelRDStatus : dag
PDDPRawInputPMTDriver: :ctor: OutputLabelRDtime : timingrawdecoder:dag
PDDPRawInputPMIDriver::ctor: InvertBaseline : 0
PDDPRawInputPMIDriver::ctor: SelectCRPs : all
PDDPRawInputPMIDriver::ctor: CRP 0 selected 1
PDDPRawInputPMIDriver::ctor: CRP 1 selected 1
PDDPRawInputPMIDriver::ctor: CRP 2 selected 1
PDDPRawInputPMIDriver::ctor: CRP 3 selected 1
PDDPRawInputPMIDriver::ctor: Readout info

PDDPRawInputPMIDriver::ctor: Number of CRPs from chmap : 4
PDDPRawInputPMIDriver::ctor: Total channels expected : 7680

$MSG-s ArtException: PostBeginJdob 08-Nov-2019 08:48:17 CST BeforeEvents
cet::exception caught in art
———— OtherArt BEGIN

—-——- CatalogServiceError BEGIN

Input file not found: npO2rawdata.dat.

—-——— CatalogServiceError END
———— OtherArt END
$MSG

Although the input file will be needed to run the job, the above job was sufficient to show that the source library is being found. If you try a clean build
area, do you still have the failure?

#2-11/11/2019 03:57 AM - Jose Soto

- Status changed from Feedback to Resolved

Solved. The problem was that | was using a Ixplus7 machines (using CentOS 7.7), | don't get the error when using a Ixplus6é machine (SLC 6.10)

#3 - 11/11/2019 10:47 AM - Kyle Knoepfel

- Status changed from Resolved to Feedback

José, you should not have to resort to using only SLC 6.10. How can we reproduce this issue on Ixplus7, specifically, including exact releases you're
using, what code you have checked out locally, environment setup, etc.

#4 - 11/25/2019 10:29 AM - Kyle Knoepfel
- Status changed from Feedback to Closed
